Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 29-01-2015 11:01:08

Severian
Membre
Distrib. : Debian GNU/Linux 8.6 (jessie)
Noyau : Linux 4.6.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-2
Inscription : 13-12-2014

faille sécurité Flash

Bonsoir
pour ceux et ceuses qui utiliseraient encore flash
bulletin de sécurité adobe


donc pensez à vérifier votre version de flash
Version de flash


sinon pour flashplugin-nonfree

update-flashplugin-nonfree --status


pour vérifier la version


update-flashplugin-nonfree --install


pour mettre à jour


je ne sais pas ce qu'il en est pour pepperflashplugin-nonfree donc je laisse ceux et ceuses qui l'utilisent en parler tongue

la cordiale
Sev.


"il est urgent d'attendre" (bendia)
ob3-debian2-150x50.png

Hors ligne

#2 29-01-2015 11:58:21

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : faille sécurité Flash

merci pour l'info.
Vraiment pas pratique ce paquet qui ne se met pas à jour comme les autres et toujours obligé de faire ça à la main.

Hors ligne

#3 29-01-2015 12:10:04

Severian
Membre
Distrib. : Debian GNU/Linux 8.6 (jessie)
Noyau : Linux 4.6.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-2
Inscription : 13-12-2014

Re : faille sécurité Flash

j'avais imaginé de faire un script pour vérifier le version avec update-flashplugin-nonfree --status quand on allume le pc avec notification quand il y a une mise à jour, mais je ne sais pas faire de programmation roll

"il est urgent d'attendre" (bendia)
ob3-debian2-150x50.png

Hors ligne

#4 29-01-2015 12:12:56

Haricophile
Adhérent(e)
Lieu : Pignans (Var)
Distrib. : SID
Noyau : 4.0.0-1-amd64
(G)UI : Mate / i3 selon...
Inscription : 14-09-2009

Re : faille sécurité Flash

Il y a une méthode qui renforce bien mieux la sécurité : aptitude purge flashplugin-nonfree

« La religion et l'art sont les luxes des lâches, qui permettent de fuir la réalité quand elle devient trop difficile à affronter. La différence c'est que la religion transforme tout mensonge en vérité alors que l'art transforme toute vérité en mensonge. »

Hors ligne

#5 29-01-2015 13:18:35

Severian
Membre
Distrib. : Debian GNU/Linux 8.6 (jessie)
Noyau : Linux 4.6.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-2
Inscription : 13-12-2014

Re : faille sécurité Flash

mouahahah
ou comment exterminer des mouches au bazooka ... (bon en même temps ça fonctionne tongue)
le soucis c'est qu'il existe (si si je t'assure) certains sites qui ne savent pas se passer de flash (wakanim pour ne citer qu'eux, pas de pubs sans flash, pas de manga sans pub ...)

après c'est juste de dire au navigateur de n'activer flash que sur demande.

(mais je suis d'accords avec toi, si on pouvait se passer de flash une bonne fois pour toute, ça serait bien)

"il est urgent d'attendre" (bendia)
ob3-debian2-150x50.png

Hors ligne

#6 29-01-2015 13:41:52

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : faille sécurité Flash

pourtant wakanim propose des épisodes sans DRM. C'est un peu une politique bancale.

Hors ligne

#7 29-01-2015 14:12:32

Severian
Membre
Distrib. : Debian GNU/Linux 8.6 (jessie)
Noyau : Linux 4.6.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-2
Inscription : 13-12-2014

Re : faille sécurité Flash

épisodes sans drm lors de l'achat du dit épisode pour le télécharger, donc pas de soucis flash dans ce cas
le soucis viens des épisodes gratuit en streaming, ceux ci sont "payés" via la publicité
mais bon c'est un autre débas wink

"il est urgent d'attendre" (bendia)
ob3-debian2-150x50.png

Hors ligne

#8 29-01-2015 14:47:01

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : faille sécurité Flash

je pensais que le contenu était entièrement payant. Du coup je vais regarder ce qu'il propose

Hors ligne

#9 29-01-2015 15:10:29

Severian
Membre
Distrib. : Debian GNU/Linux 8.6 (jessie)
Noyau : Linux 4.6.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-2
Inscription : 13-12-2014

Re : faille sécurité Flash

bon, je me lance, je compte sur vous pour me corriger


en faisant un fichier .sh

update-flashplugin-nonfree --status >/var/log/flash-status.txt
var1=`cat /var/log/flash-status.txt | grep -e installed | cut -d":" -f2`
var2=`cat /var/log/flash-status.txt | grep -e available | cut -d":" -f2`
if [ $var1 != $var2 ]
then
  update-flashplugin-nonfree --install --quiet
fi
rm /var/log/flash-status.txt



est-ce que ça pourrait marcher ?


@nIQnutn : les épisodes gratuits ce sont les nouveautés durant le premiers mois, bref à la sortie de chaque nouvel épisode, tu as un mois pour le regarder, donc facile de suivre des séries. par contre je conseil fortement Ghostery si tu ne veux pas être envahis de pub, tu permet juste "liveRails" au moment de la de la lecture de l'anim et c'est bon


"il est urgent d'attendre" (bendia)
ob3-debian2-150x50.png

Hors ligne

#10 29-01-2015 19:06:52

vv222
Membre
Lieu : Bretagne
Distrib. : GNU/Linux Debian « Sid »
Noyau : >= Linux 4.5.0 (amd64)
(G)UI : Openbox + ROX
Inscription : 18-11-2013
Site Web

Re : faille sécurité Flash

Severian :
Ton script me paraît bien faire ce que tu cherches (je ne peux pas le tester, pas de plugin Flash chez moi).
Ne te reste plus qu’à écrire un tâche cron l’appelant à intervalles réguliers pour ne plus avoir à t’en soucier.
https://debian-facile.org/doc:systeme:crontab

Jouer sous Debian ? Facile !

Hors ligne

#11 16-03-2015 12:29:06

Severian
Membre
Distrib. : Debian GNU/Linux 8.6 (jessie)
Noyau : Linux 4.6.0-0.bpo.1-amd64
(G)UI : Openbox 3.6.1-2
Inscription : 13-12-2014

Re : faille sécurité Flash

màj de flash

pour l'info : nextinpact.com : Adobe corrige onze failles critiques dans son lecteur Flash (de Vincent Hermann - Publiée le 16/03/2015)

Adobe a mis récemment en ligne une nouvelle version de son lecteur Flash, dans le but de colmater onze failles critiques. Toutes les versions du composant sont affectées, sur l’ensemble des systèmes d’exploitation pris en charge. L’éditeur recommande évidemment de mettre à jour au plus vite.



bulletin de sécurité adobe


vérifier votre version de flash
Version de flash


sinon pour flashplugin-nonfree
pour vérifier la version :

update-flashplugin-nonfree --status


pour mettre à jour :

update-flashplugin-nonfree --install


"il est urgent d'attendre" (bendia)
ob3-debian2-150x50.png

Hors ligne

#12 16-03-2015 18:38:54

Mavrick
Membre
Lieu : Loin de ma Bretagne natale...
Distrib. : Debian 8 (Jessie)
Noyau : Linux 3.16 amd64
(G)UI : Xfce 4.10
Inscription : 18-11-2013

Re : faille sécurité Flash

Onze failles critiques, rien que ça ?!  hmm

Adhérent April N° 9016

Hors ligne

#13 16-03-2015 19:39:10

nIQnutn
Modérateur
Lieu : Lyon
Distrib. : Jessie
Noyau : Linux 3.16-amd64
(G)UI : XFCE
Inscription : 16-03-2012
Site Web

Re : faille sécurité Flash

au début, je ne comprenais pas pourquoi sur le wiki c'était marqué que Adoble Flash c'était le mal.

C'est peut être le coté convivial d'Adobe, on invite tout le monde sur son PC. Avec 11 failles critiques (donc y en a probablement plus) on risque de rencontrer du beau monde.

Depuis quelques temps j'ai désactivé Flash et c'est très rare que je l'active pour certains site. Je m'en porte bien.

Hors ligne

#14 17-03-2015 17:50:04

Mavrick
Membre
Lieu : Loin de ma Bretagne natale...
Distrib. : Debian 8 (Jessie)
Noyau : Linux 3.16 amd64
(G)UI : Xfce 4.10
Inscription : 18-11-2013

Re : faille sécurité Flash

Ça me fais penser à Java qui fut un temps, passé son temps à boucher les trous de la passoire.

Adhérent April N° 9016

Hors ligne

Pied de page des forums